VirtualBox Main API

Public Attributes | List of all members
IGuestFsObjInfo Interface Reference

Represents the guest implementation of the IFsObjInfo object. More...

Inheritance diagram for IGuestFsObjInfo:

## Public Attributes
readonly attribute boolean | midlDoesNotLikeEmptyInterfaces
Public Attributes inherited from IFsObjInfo
readonly attribute wstring | name
| The object's name.
readonly attribute FsObjType | type
| The object type.
readonly attribute wstring | fileAttributes
| File attributes.
readonly attribute long long | objectSize
| The logical size (st_size).
readonly attribute long long | allocatedSize
| Disk allocation size (st_blocks * DEV_BSIZE).
readonly attribute long long | accessTime
| Time of last access (st_atime).
readonly attribute long long | birthTime
| Time of file birth (st_birthtime).
readonly attribute long long | changeTime
| Time of last status change (st_ctime).
readonly attribute long long | modificationTime
| Time of last data modification (st_mtime).
readonly attribute long | UID
| The user owning the filesystem object (st_uid).
readonly attribute wstring | userName
| The user name.
readonly attribute long | GID
| The group the filesystem object is assigned (st_gid).
readonly attribute wstring | groupName
| The group name.
readonly attribute long long | nodeId
| The unique identifier (within the filesystem) of this filesystem object (st_ino).
readonly attribute unsigned long | nodeIdDevice
| The device number of the device which this filesystem object resides on (st_dev).
readonly attribute unsigned long | hardLinks
| Number of hard links to this filesystem object (st_nlink).
readonly attribute unsigned long | deviceNumber
| The device number of a character or block device type object (st_rdev).
readonly attribute unsigned long | generationId
| The current generation number (st_gen).
readonly attribute unsigned long | userFlags
| User flags (st_flags).

## Detailed Description

Represents the guest implementation of the IFsObjInfo object.

Interface ID:
  `{6620DB85-44E0-CA69-E9E0-D4907CECCBE5}`

## Member Data Documentation

## ◆ midlDoesNotLikeEmptyInterfaces

readonly attribute boolean IGuestFsObjInfo::midlDoesNotLikeEmptyInterfaces